export function track(event: string, payload: Record<string, any> = {}): void {
    if (typeof window === 'undefined') return;

    // console.log('tracking', event, payload);

    window.dataLayer = window.dataLayer || [];
    window.dataLayer.push({
        event,
        ...payload,
    });
}
